## tdegames-trinity 14.1.5

=== CMakeLists.txt ===
###########################################
#                                         #
#  (C) 2016 Alexander Golubev             #
#  fatzer2 (AT) gmail.com                 #
#                                         #
#  Improvements and feedback are welcome  #
#                                         #
#  This file is released under GPL >= 2   #
#                                         #
###########################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup

project( tdegames )


##### include essential cmake modules

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckLibraryExists )
include( CheckSymbolExists )
include( CheckCXXSourceCompiles )


##### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_ARTS           "Enable aRts support"                               ${WITH_ALL_OPTIONS} )

######################## options comments #############################
#                                                                     #
#  WITH_ARTS affects kbounce if disabled the game will have no sound  #
#                                                                     #
#  ARTS is required to build kolf and kasteroids                      #
#                                                                     #
#######################################################################


##### user requested modules 

option( BUILD_ALL          "Build all"           OFF )
option( BUILD_LIBTDEGAMES  "Build libtdegames"   ${BUILD_ALL} )
option( BUILD_ATLANTIK     "Build atlantik"      ${BUILD_ALL} )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_KASTEROIDS   "Build kasteroids"    ${BUILD_ALL} )
option( BUILD_KATOMIC      "Build katomic"       ${BUILD_ALL} )
option( BUILD_KBACKGAMMON  "Build kbackgammon"   ${BUILD_ALL} )
option( BUILD_KBATTLESHIP  "Build kbattleship"   ${BUILD_ALL} )
option( BUILD_KBLACKBOX    "Build kblackbox"     ${BUILD_ALL} )
option( BUILD_KBOUNCE      "Build kbounce"       ${BUILD_ALL} )
option( BUILD_KENOLABA     "Build kenolaba"      ${BUILD_ALL} )
option( BUILD_KFOULEGGS    "Build kfouleggs"     ${BUILD_ALL} )
option( BUILD_KGOLDRUNNER  "Build kgoldrunner"   ${BUILD_ALL} )
option( BUILD_KJUMPINGCUBE "Build kjumpingcube"  ${BUILD_ALL} )
option( BUILD_KLICKETY     "Build klickety"      ${BUILD_ALL} )
option( BUILD_KLINES       "Build klines"        ${BUILD_ALL} )
option( BUILD_KMAHJONGG    "Build kmahjongg"     ${BUILD_ALL} )
option( BUILD_KMINES       "Build kmines"        ${BUILD_ALL} )
option( BUILD_KNETWALK     "Build knetwalk"      ${BUILD_ALL} )
option( BUILD_KOLF         "Build kolf"          ${BUILD_ALL} )
option( BUILD_KONQUEST     "Build konquest"      ${BUILD_ALL} )
option( BUILD_KPAT         "Build kpat"          ${BUILD_ALL} )
option( BUILD_KPOKER       "Build kpoker"        ${BUILD_ALL} )
option( BUILD_KREVERSI     "Build kreversi"      ${BUILD_ALL} )
option( BUILD_KSAME        "Build ksame"         ${BUILD_ALL} )
option( BUILD_KSHISEN      "Build kshisen"       ${BUILD_ALL} )
option( BUILD_KSIRTET      "Build ksirtet"       ${BUILD_ALL} )
option( BUILD_KSMILETRIS   "Build ksmiletris"    ${BUILD_ALL} )
option( BUILD_KSNAKE       "Build ksnake"        ${BUILD_ALL} )
option( BUILD_KSOKOBAN     "Build ksokoban"      ${BUILD_ALL} )
option( BUILD_KSPACEDUEL   "Build kspaceduel"    ${BUILD_ALL} )
option( BUILD_KTRON        "Build ktron"         ${BUILD_ALL} )
option( BUILD_KTUBERLING   "Build ktuberling"    ${BUILD_ALL} )
option( BUILD_LSKAT        "Build lskat"         ${BUILD_ALL} )
option( BUILD_TWIN4        "Build twin4"         ${BUILD_ALL} )
option( BUILD_TDEFIFTEEN   "Build tdefifteen"    ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )

if( WITH_TEST )
  enable_testing()
endif( WITH_TEST )


##### add apidox targets

add_custom_target( apidox
  COMMAND ${CMAKE_COMMAND} -E env
    "TQTDOCDIR=/usr/share/tqt3/doc/html"
    "DOXDATA=${HTML_INSTALL_DIR}/en/common"
    ${CMAKE_SOURCE_DIR}/admin/doxygen.sh
    --no-modulename
    ${CMAKE_SOURCE_DIR}
  COMMAND
    find ${CMAKE_BINARY_DIR}/apidocs -name '*.html' |
    xargs -r sed -i 's|${CMAKE_BINARY_DIR}/apidocs|${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs|g'
  COMMAND
    find ${CMAKE_BINARY_DIR}/apidocs -name '*.tag' |
    xargs -r sed -i 's|${CMAKE_SOURCE_DIR}/|${PROJECT_NAME}/|g'
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

add_custom_target( install-apidox
  COMMAND ${CMAKE_COMMAND} -E echo Apidox installed in ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs
)

install( CODE "
  if( EXISTS ${CMAKE_BINARY_DIR}/apidocs )
    file(
      INSTALL ${CMAKE_BINARY_DIR}/apidocs/
      DESTINATION ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs
      PATTERN doxygen_sqlite3.db EXCLUDE
      PATTERN installdox-slow EXCLUDE
    )
  endif()"
)


##### tdegames directories

tde_conditional_add_subdirectory( BUILD_LIBTDEGAMES  libtdegames  )
tde_conditional_add_subdirectory( BUILD_ATLANTIK     atlantik     )
tde_conditional_add_subdirectory( BUILD_DOC          doc          )
tde_conditional_add_subdirectory( BUILD_KASTEROIDS   kasteroids   )
tde_conditional_add_subdirectory( BUILD_KATOMIC      katomic      )
tde_conditional_add_subdirectory( BUILD_KBACKGAMMON  kbackgammon  )
tde_conditional_add_subdirectory( BUILD_KBATTLESHIP  kbattleship  )
tde_conditional_add_subdirectory( BUILD_KBLACKBOX    kblackbox    )
tde_conditional_add_subdirectory( BUILD_KBOUNCE      kbounce      )
tde_conditional_add_subdirectory( BUILD_KENOLABA     kenolaba     )
tde_conditional_add_subdirectory( BUILD_KFOULEGGS    kfouleggs    )
tde_conditional_add_subdirectory( BUILD_KGOLDRUNNER  kgoldrunner  )
tde_conditional_add_subdirectory( BUILD_KJUMPINGCUBE kjumpingcube )
tde_conditional_add_subdirectory( BUILD_KLICKETY     klickety     )
tde_conditional_add_subdirectory( BUILD_KLINES       klines       )
tde_conditional_add_subdirectory( BUILD_KMAHJONGG    kmahjongg    )
tde_conditional_add_subdirectory( BUILD_KMINES       kmines       )
tde_conditional_add_subdirectory( BUILD_KNETWALK     knetwalk     )
tde_conditional_add_subdirectory( BUILD_KOLF         kolf         )
tde_conditional_add_subdirectory( BUILD_KONQUEST     konquest     )
tde_conditional_add_subdirectory( BUILD_KPAT         kpat         )
tde_conditional_add_subdirectory( BUILD_KPOKER       kpoker       )
tde_conditional_add_subdirectory( BUILD_KREVERSI     kreversi     )
tde_conditional_add_subdirectory( BUILD_KSAME        ksame        )
tde_conditional_add_subdirectory( BUILD_KSHISEN      kshisen      )
tde_conditional_add_subdirectory( BUILD_KSIRTET      ksirtet      )
tde_conditional_add_subdirectory( BUILD_KSMILETRIS   ksmiletris   )
tde_conditional_add_subdirectory( BUILD_KSNAKE       ksnake       )
tde_conditional_add_subdirectory( BUILD_KSOKOBAN     ksokoban     )
tde_conditional_add_subdirectory( BUILD_KSPACEDUEL   kspaceduel   )
tde_conditional_add_subdirectory( BUILD_KTRON        ktron        )
tde_conditional_add_subdirectory( BUILD_KTUBERLING   ktuberling   )
tde_conditional_add_subdirectory( BUILD_LSKAT        lskat        )
tde_conditional_add_subdirectory( BUILD_TWIN4        twin4        )
tde_conditional_add_subdirectory( BUILD_TDEFIFTEEN   tdefifteen   )

if( BUILD_KSIRTET OR BUILD_KFOULEGGS OR BUILD_KLICKETY )
    add_subdirectory( libksirtet )
endif()


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== klickety/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libksirtet
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### klickety (executable) #####################

tde_add_executable( klickety AUTOMOC
  SOURCES piece.cpp board.cpp field.cpp highscores.cpp main.cpp
  LINK tdegames-shared tdecore-shared tdeui-shared tdeio-shared
    ksirtetbase-static tdecore-shared tdeui-shared tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE eventsrc
  DESTINATION ${DATA_INSTALL_DIR}/klickety
  PO_DIR klickety-eventsrc
)

install( FILES klicketyui.rc
  DESTINATION ${DATA_INSTALL_DIR}/klickety
)

tde_create_translated_desktop( klickety.desktop )

=== kpat/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( icons )
add_subdirectory( freecell-solver )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kpat (executable) #########################

tde_add_executable( kpat AUTOMOC
  SOURCES main.cpp cardmaps.cpp card.cpp dealer.cpp pwidget.cpp pile.cpp
    deck.cpp pile_algorithms.cpp kings.cpp freecell.cpp klondike.cpp simon.cpp
    grandf.cpp mod3.cpp idiot.cpp napoleon.cpp computation.cpp gypsy.cpp
    fortyeight.cpp yukon.cpp clock.cpp golf.cpp spider.cpp gamestatsimpl.cpp
    gamestats.ui
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared fcs-static
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

install( FILES green.png
  DESTINATION ${DATA_INSTALL_DIR}/kpat/backgrounds
)

install( FILES kpatui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kpat
)

tde_create_translated_desktop( kpat.desktop )

=== kpoker/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( sounds )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kpoker (executable) #######################

tde_add_executable( kpoker AUTOMOC
  SOURCES kpoker.cpp kpaint.cpp top.cpp main.cpp betbox.cpp optionsdlg.cpp
    player.cpp playerbox.cpp newgamedlg.cpp poker.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( kpoker )


##### other data ################################

tde_create_translated_desktop( kpoker.desktop )

install( FILES kpokerui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kpoker
)

=== ksmiletris/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( data )
add_subdirectory( wav )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### ksmiletris (executable) ###################

tde_add_executable( ksmiletris AUTOMOC
  SOURCES main.cpp gamewindow.cpp gamewidget.cpp screenwidget.cpp
    mirrorwidget.cpp npiecewidget.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( ksmiletris )


##### other data ################################

install( FILES ksmiletrisui.rc
  DESTINATION ${DATA_INSTALL_DIR}/ksmiletris
)

tde_create_translated_desktop( ksmiletris.desktop )

=== ksokoban/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( images )
add_subdirectory( data )
add_subdirectory( levels )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/levels
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### ksokoban (executable) #####################

tde_add_executable( ksokoban AUTOMOC
  SOURCES Bookmark.cpp History.cpp HtmlPrinter.cpp ImageData.cpp
    InternalCollections.cpp LevelCollection.cpp LevelMap.cpp MainWindow.cpp
    Map.cpp MapDelta.cpp ModalLabel.cpp Move.cpp MoveSequence.cpp
    PathFinder.cpp PlayField.cpp StaticImage.cpp main.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
  DEPENDENCIES ksokoban_levels_data_c
    ksokoban_images_data_c
)

=== ktuberling/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( museum )
add_subdirectory( sounds )
add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### ktuberling (executable) ###################

tde_add_executable( ktuberling AUTOMOC
  SOURCES action.cpp main.cpp toplevel.cpp playground.cpp todraw.cpp
    soundfactory.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared
    tdeprint-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( ktuberling )


##### other data ################################

tde_create_translated_desktop(
  SOURCE x-tuberling.desktop
  DESTINATION ${MIME_INSTALL_DIR}/application
  PO_DIR ktuberling-desktops
)

tde_create_translated_desktop(
  SOURCE ktuberling.desktop
  PO_DIR ktuberling-desktops
)

install( FILES ktuberlingui.rc
  DESTINATION ${DATA_INSTALL_DIR}/ktuberling
)

=== libksirtet/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( base )
add_subdirectory( lib )
add_subdirectory( common )

=== twin4/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( twin4 )
add_subdirectory( grafix )

##### icons #####################################

tde_install_icons( twin4 )


##### other data ################################

tde_create_translated_desktop( twin4.desktop )

=== atlantik/libatlantic/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    atlantic_core.h auction.h configoption.h estate.h
	estategroup.h game.h player.h trade.h libatlantic_export.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/atlantic )


##### atlantic (shared) #########################

tde_add_library( atlantic SHARED AUTOMOC
  SOURCES atlantic_core.cpp auction.cpp configoption.cpp estate.cpp
    estategroup.cpp game.cpp player.cpp trade.cpp
  LINK ${TQT_LIBRARIES}
  VERSION 1.2.0
  DESTINATION ${LIB_INSTALL_DIR}
)

=== atlantik/libatlantikclient/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
##################################################


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/atlantik/libatlantic
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### atlantikclient (shared) ###################

tde_add_library( atlantikclient SHARED AUTOMOC
  SOURCES atlantik_network.cpp monopdprotocol.cpp
  VERSION 1.2.0
  LINK tdeio-shared atlantic-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

=== atlantik/pics/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( board )
add_subdirectory( misc )
add_subdirectory( toolbar )

##### icons #####################################

tde_install_icons( atlantik )

=== debian/changelog ===
tdegames-trinity (4:14.1.5-0ubuntu18.04.0+0) bionic; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: tdegames-trinity
Section: games
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Daniel Schepler <schepler@debian.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdemultimedia-trinity-dev, groff-base, bzip2, libogg-dev
Build-Depends-Indep: doxygen, graphviz, gsfonts-x11, libtqtinterface-doc, tdelibs14-trinity-doc
Standards-Version: 3.8.4

Package: tdegames-trinity
Architecture: all
Section: tde
Replaces: kdegames-kde3 (<< 4:14.0.0~), kdegames-trinity (<< 4:14.0.0~)
Breaks: kdegames-kde3 (<< 4:14.0.0~), kdegames-trinity (<< 4:14.0.0~)
Depends: atlantik-trinity (>= ${source:Version}), kasteroids-trinity (>= ${source:Version}), katomic-trinity (>= ${source:Version}), kbackgammon-trinity (>= ${source:Version}), kbattleship-trinity (>= ${source:Version}), kblackbox-trinity (>= ${source:Version}), kbounce-trinity (>= ${source:Version}), kenolaba-trinity (>= ${source:Version}), kfouleggs-trinity (>= ${source:Version}), kgoldrunner-trinity (>= ${source:Version}), kjumpingcube-trinity (>= ${source:Version}), klickety-trinity (>= ${source:Version}), klines-trinity (>= ${source:Version}), kmahjongg-trinity (>= ${source:Version}), kmines-trinity (>= ${source:Version}), knetwalk-trinity (>= ${source:Version}), kolf-trinity (>= ${source:Version}), konquest-trinity (>= ${source:Version}), kpat-trinity (>= ${source:Version}), kpoker-trinity (>= ${source:Version}), kreversi-trinity (>= ${source:Version}), ksame-trinity (>= ${source:Version}), kshisen-trinity (>= ${source:Version}), ksirtet-trinity (>= ${source:Version}), ksmiletris-trinity (>= ${source:Version}), ksnake-trinity (>= ${source:Version}), ksokoban-trinity (>= ${source:Version}), kspaceduel-trinity (>= ${source:Version}), ktron-trinity (>= ${source:Version}), ktuberling-trinity (>= ${source:Version}), twin4-trinity (>= ${source:Version}), lskat-trinity (>= ${source:Version}), tdefifteen-trinity (>= ${source:Version})
Suggests: tdegames-trinity-doc-html (>= ${source:Version}), khelpcenter-trinity
Description: games from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of games provided with
 the official release of TDE.

Package: tdegames-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdegames-kde3-doc-html (<< 4:14.0.0~), kdegames-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdegames-kde3-doc-html (<< 4:14.0.0~), kdegames-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdegames-trinity
Description: TDE games documentation in HTML format
 By default the games provided with TDE (the Trinity Desktop Environment)
 only provide their documentation in TDE docbook format, which can
 only be read by Konqueror or KHelpCenter.  This package provides all
 of the TDE games documentation converted to HTML format so it can be
 read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/tde/HTML/en/<package>/, for instance
 /usr/share/doc/tde/HTML/en/kasteroids/.
 .
 This package is part of TDE, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: libtdegames1-trinity
Architecture: any
Section: games
Replaces: libkdegames1-kde3 (<< 4:14.0.0~), libkdegames1-trinity (<< 4:14.0.0~)
Breaks: libkdegames1-kde3 (<< 4:14.0.0~), libkdegames1-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Trinity games library and common files
 This library provides a common infrastructure for several of the
 games in the TDE distribution. Features include standardized menu
 items, high score handling, card display, and network connections
 including chat capabilities.
 .
 This package is part of TDE, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: tdegames-trinity-dbg
Architecture: any
Depends: tdelibs-trinity-dbg
Replaces: kdegames-kde3-dbg (<< 4:14.0.0~), kdegames-trinity-dbg (<< 4:14.0.0~)
Breaks: kdegames-kde3-dbg (<< 4:14.0.0~), kdegames-trinity-dbg (<< 4:14.0.0~)
Priority: extra
Section: tde
Description: debugging symbols for tdegames
 This package contains the debugging symbols associated with tdegames.
 They will automatically be used by gdb for debugging tdegames-related
 issues.

Package: libtdegames-trinity-dev
Architecture: any
Section: libdevel
Replaces: libkdegames-kde3-dev (<< 4:14.0.0~), libkdegames-trinity-dev (<< 4:14.0.0~)
Breaks: libkdegames-kde3-dev (<< 4:14.0.0~), libkdegames-trinity-dev (<< 4:14.0.0~)
Depends: tdelibs14-trinity-dev, libtdegames1-trinity (= ${source:Version})
Description: Trinity games library headers
 This package is necessary if you want to develop your own games using
 the TDE games library.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: libtdegames-trinity-doc
Architecture: all
Section: doc
Replaces: libkdegames-kde3-doc (<< 4:14.0.0~), libkdegames-trinity-doc (<< 4:14.0.0~)
Breaks: libkdegames-kde3-doc (<< 4:14.0.0~), libkdegames-trinity-doc (<< 4:14.0.0~)
Recommends: tdelibs14-trinity-doc, libtqtinterface-doc
Suggests: konqueror-trinity | www-browser, libtdegames-trinity-dev
Description: API documentation for the Trinity games library
 This package contains the developers' documentation for libtdegames.
 You may want to install it if you wish to develop games for TDE.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: tdegames-card-data-trinity
Architecture: all
Section: games
Replaces: kdegames-card-data-kde3 (<< 4:14.0.0~), kdegames-card-data-trinity (<< 4:14.0.0~)
Breaks: kdegames-card-data-kde3 (<< 4:14.0.0~), kdegames-card-data-trinity (<< 4:14.0.0~)
Description: Card decks for Trinity games
 Several different collections of card images for use by TDE games.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: atlantik-trinity
Architecture: any
Section: games
Replaces: atlantik-kde3 (<< 4:14.0.0~), atlantik-trinity (<< 4:14.0.0~)
Breaks: atlantik-kde3 (<< 4:14.0.0~), atlantik-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: atlantikdesigner-trinity, monopd
Description: TDE client for Monopoly-like network games
 This is a TDE client for playing Monopoly-like boardgames on the
 monopd network.  It can play any board supported by the network
 server, including the classic Monopoly game, as well as the Atlantik
 game in which the property includes several major cities in North
 America and Europe.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: atlantik-trinity-dev
Architecture: any
Section: devel
Replaces: atlantik-kde3-dev (<< 4:14.0.0~), atlantik-trinity-dev (<< 4:14.0.0~)
Breaks: atlantik-kde3-dev (<< 4:14.0.0~), atlantik-trinity-dev (<< 4:14.0.0~)
Priority: extra
Depends: ${shlibs:Depends}, atlantik-trinity (= ${source:Version}), libtdegames-trinity-dev (= ${source:Version})
Description: Development files for Atlantik
 This package contains header files for compiling programs against the
 libraries which come with Atlantik.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kasteroids-trinity
Architecture: any
Section: games
Replaces: kasteroids-kde3 (<< 4:14.0.0~), kasteroids-trinity (<< 4:14.0.0~)
Breaks: kasteroids-kde3 (<< 4:14.0.0~), kasteroids-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Asteroids for Trinity
 You know this game.  It is based on Warwick Allison's QwSpriteField
 widget.
 .
 The objective of kasteroids is to destroy all the asteroids on the
 screen to advance to the next level. Your ship is destroyed if it
 makes contact with an asteroid.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: katomic-trinity
Architecture: any
Section: games
Replaces: katomic-kde3 (<< 4:14.0.0~), katomic-trinity (<< 4:14.0.0~)
Breaks: katomic-kde3 (<< 4:14.0.0~), katomic-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Atomic Entertainment game for Trinity
 This is a puzzle game, in which the object is to assemble a molecule
 from its atoms on a Sokoban-like board.  On each move, an atom goes
 as far as it can in a specified direction before being stopped by a
 wall or another atom.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kbackgammon-trinity
Architecture: any
Section: games
Replaces: kbackgammon-kde3 (<< 4:14.0.0~), kbackgammon-trinity (<< 4:14.0.0~)
Breaks: kbackgammon-kde3 (<< 4:14.0.0~), kbackgammon-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: gnubg
Description: A Backgammon game for Trinity
 KBackgammon is a backgammon program for Trinity. It is based on the
 code, ideas and concepts of KFibs (which is a FIBS client for
 KDE1). For a short time, KBackgammon was called bacKgammon (if you
 know somebody who is still using bacKgammon, please force them to
 upgrade :-)).
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kbattleship-trinity
Architecture: any
Section: games
Replaces: kbattleship-kde3 (<< 4:14.0.0~), kbattleship-trinity (<< 4:14.0.0~)
Breaks: kbattleship-kde3 (<< 4:14.0.0~), kbattleship-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Battleship game for Trinity
 This is an implementation of the Battleship game.  Each player tries
 to be the first to sink all the opponent's ships by firing "blindly"
 at them.  The game has options to play over a network connection or
 against the computer.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kblackbox-trinity
Architecture: any
Section: games
Replaces: kblackbox-kde3 (<< 4:14.0.0~), kblackbox-trinity (<< 4:14.0.0~)
Breaks: kblackbox-kde3 (<< 4:14.0.0~), kblackbox-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: A simple logical game for the Trinity project
 KBlackBox is a game of hide and seek played on an grid of boxes. Your
 opponent (Random number generator, in this case) has hidden several
 balls within this box. By shooting rays into the box and observing
 where they emerge it is possible to deduce the positions of the
 hidden balls. The fewer rays you use to find the balls, the lower
 your score.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kbounce-trinity
Architecture: any
Section: games
Replaces: kbounce-kde3 (<< 4:14.0.0~), kbounce-trinity (<< 4:14.0.0~)
Breaks: kbounce-kde3 (<< 4:14.0.0~), kbounce-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Jezzball clone for the Trinity Desktop Environment

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

export kde_bindir = /opt/trinity/games

DEB_KDE_APIDOX := yes

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DBIN_INSTALL_DIR="/opt/trinity/games" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

DEB_DH_INSTALL_SOURCEDIR := $(DEB_DESTDIR)

DEB_INSTALL_DOCS_ALL :=

DEB_INSTALL_CHANGELOGS_ALL = $(shell for f in ChangeLog CHANGELOG CHANGES; do if test -s $(DEB_SRCDIR)/$(cdbs_curpkg)/$$f; then echo $(DEB_SRCDIR)/$(cdbs_curpkg)/$$f; break; fi; done)

DEB_INSTALL_CHANGELOGS_tdegames := $(DEB_SRCDIR)/ChangeLog

DEB_DH_MAKESHLIBS_ARGS_libtdegames1-trinity := -V'libtdegames1-trinity'
DEB_DH_MAKESHLIBS_ARGS_atlantik-trinity := -V
DEB_DH_MAKESHLIBS_ARGS_kolf-trinity := -V

PACKAGES_WITH_LIBS := libtdegames1-trinity atlantik-trinity kolf-trinity

common-binary-indep::
	if ! test -d debian/tmp/opt/trinity/share/doc/tde/HTML/en/tdegames-apidocs; then mv debian/tmp/opt/trinity/share/doc/tde/HTML/en/tdegames-*apidocs debian/tmp/opt/trinity/share/doc/tde/HTML/en/tdegames-apidocs; fi

## tdegames-trinity 14.1.6~pre0

=== debian/changelog ===
tdegames-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 27ebcd13784497ed8b50649ba529291480a1f9d0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdegames-trinity 14.1.6~pre2

=== debian/changelog ===
tdegames-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for d6668b5fc076a6c341e56c608ac71f12621151ae
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:17:05 +0100

## tdegames-trinity 14.1.6~pre4

=== debian/changelog ===
tdegames-trinity (4:14.1.6~pre4-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for c5b3da939f170222a5cbf8b1347624918e0314fd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 28 Dec 2025 02:52:57 +0100

## tdegames-trinity 14.1.6~pre5

=== debian/changelog ===
tdegames-trinity (4:14.1.6~pre5-0debian13.0.0+2) trixie; urgency=low

  * Automated git build for 80eeb35a7ae0ce820603a593748ac0a8a00d127d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:17:34 +0100

## tdegames-trinity 14.1.6~pre6

=== debian/changelog ===
tdegames-trinity (4:14.1.6~pre6-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for 89138529f0d08ff5d39ae3745bed7b0ea6b8d944
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:18:48 +0100

## tdegames-trinity 14.1.6~pre8

=== debian/changelog ===
tdegames-trinity (4:14.1.6~pre8-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for b946f1478925aabbe59957698fe0e0772a017a30
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 31 Jan 2026 14:17:31 +0100

## tdegames-trinity 14.2.0~pre169

=== doc/CMakeLists.txt ===
add_subdirectory( man )

tde_conditional_add_subdirectory( BUILD_ATLANTIK     atlantik     )
tde_conditional_add_subdirectory( BUILD_KASTEROIDS   kasteroids   )
tde_conditional_add_subdirectory( BUILD_KATOMIC      katomic      )
tde_conditional_add_subdirectory( BUILD_KBACKGAMMON  kbackgammon  )
tde_conditional_add_subdirectory( BUILD_KBATTLESHIP  kbattleship  )
tde_conditional_add_subdirectory( BUILD_KBLACKBOX    kblackbox    )
tde_conditional_add_subdirectory( BUILD_KBOUNCE      kbounce      )
tde_conditional_add_subdirectory( BUILD_KENOLABA     kenolaba     )
tde_conditional_add_subdirectory( BUILD_KFOULEGGS    kfouleggs    )
tde_conditional_add_subdirectory( BUILD_KGOLDRUNNER  kgoldrunner  )
tde_conditional_add_subdirectory( BUILD_KJUMPINGCUBE kjumpingcube )
tde_conditional_add_subdirectory( BUILD_KLICKETY     klickety     )
tde_conditional_add_subdirectory( BUILD_KLINES       klines       )
tde_conditional_add_subdirectory( BUILD_KMAHJONGG    kmahjongg    )
tde_conditional_add_subdirectory( BUILD_KMINES       kmines       )
tde_conditional_add_subdirectory( BUILD_KNETWALK     knetwalk     )
tde_conditional_add_subdirectory( BUILD_KOLF         kolf         )
tde_conditional_add_subdirectory( BUILD_KONQUEST     konquest     )
tde_conditional_add_subdirectory( BUILD_KPAT         kpat         )
tde_conditional_add_subdirectory( BUILD_KPOKER       kpoker       )
tde_conditional_add_subdirectory( BUILD_KREVERSI     kreversi     )
tde_conditional_add_subdirectory( BUILD_KSAME        ksame        )
tde_conditional_add_subdirectory( BUILD_KSHISEN      kshisen      )
tde_conditional_add_subdirectory( BUILD_KSIRTET      ksirtet      )
tde_conditional_add_subdirectory( BUILD_KSMILETRIS   ksmiletris   )
tde_conditional_add_subdirectory( BUILD_KSNAKE       ksnake       )
tde_conditional_add_subdirectory( BUILD_KSOKOBAN     ksokoban     )
tde_conditional_add_subdirectory( BUILD_KSPACEDUEL   kspaceduel   )
tde_conditional_add_subdirectory( BUILD_KTRON        ktron        )
tde_conditional_add_subdirectory( BUILD_KTUBERLING   ktuberling   )
tde_conditional_add_subdirectory( BUILD_LSKAT        lskat        )
tde_conditional_add_subdirectory( BUILD_TWIN4        twin4        )

=== kbattleship/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( kbattleship )

=== kbounce/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )
add_subdirectory( sounds )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


if( WITH_ARTS )
  set( ARTS_LIBRARIES artskde-shared )
endif( WITH_ARTS )


##### kbounce (executable) ######################

tde_add_executable( kbounce AUTOMOC
  SOURCES main.cpp kbounce.cpp game.cpp highscores.cpp
  LINK tdecore-shared tdeui-shared tdegames-shared ${ARTS_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

install( FILES kbounceui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kbounce
)

tde_create_translated_desktop( kbounce.desktop )

=== konquest/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### konquest (executable) #####################

tde_add_executable( konquest AUTOMOC
  SOURCES Konquest.cpp gameboard.cpp gamecore.cpp int_validator.cpp mainwin.cpp
    map_widget.cpp minimap.cpp newgamedlg.cpp planet_info.cpp gameenddlg.cpp
    scoredlg.cpp fleetdlg.cpp newGameDlg_ui.ui
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( konquest )


##### other data ################################

tde_create_translated_desktop( konquest.desktop )

install( FILES konquestui.rc
  DESTINATION ${DATA_INSTALL_DIR}/konquest
)

=== kreversi/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( pics )
add_subdirectory( sounds )
add_subdirectory( icons )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kreversi (executable) #####################

tde_add_executable( kreversi AUTOMOC
  SOURCES kzoommainwindow.cpp Score.cpp Move.cpp Position.cpp Game.cpp
    qreversigame.cpp qreversigameview.cpp SuperEngine.cpp Engine.cpp board.cpp
    settings.ui highscores.cpp kreversi.cpp main.cpp prefs.kcfgc
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

install( FILES kreversiui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kreversi
)

tde_create_translated_desktop( kreversi.desktop )

install( FILES kreversi.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

=== ksirtet/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( ksirtet )

=== tdefifteen/CMakeLists.txt ===

tde_auto_add_subdirectories()

=== atlantik/atlanticd/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/atlantik/libatlantic
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### atlanticd (executable) ####################

tde_add_executable( atlanticd AUTOMOC
  SOURCES atlanticclient.cpp atlanticdaemon.cpp main.cpp serversocket.cpp
  LINK ${TQT_LIBRARIES} libatlantic-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== atlantik/libatlantikui/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/atlantik/libatlantic
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### atlantikui (shared) #######################

tde_add_library( atlantikui SHARED AUTOMOC
  SOURCES auction_widget.cpp board.cpp estatedetails.cpp estateview.cpp
    kwrappedlistviewitem.cpp portfolioestate.cpp portfolioview.cpp token.cpp
    trade_widget.cpp
  VERSION 1.2.0
  LINK atlantic-shared tdeio-shared tdecore-shared tdeui-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### headers ###################################
install( FILES auction_widget.h board.h estatedetails.h estateview.h
  kwrappedlistviewitem.h portfolioestate.h portfolioview.h token.h
  trade_widget.h libatlantikui_export.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/atlantik/ui
)

=== doc/knetwalk/CMakeLists.txt ===
#################################################
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION knetwalk )

=== doc/kpoker/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
tde_create_handbook( DESTINATION kpoker  )

=== doc/ksame/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
tde_create_handbook( DESTINATION ksame  )

=== debian/changelog ===
tdegames-trinity (4:14.2.0~pre169-0ubuntu24.10.0+7) oracular; urgency=low

  * Automated git build for ac5578bc1d2345ec4de8b8aaf9b7be66dadc1fd4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Daniel Schepler <schepler@debian.org>, Sune Vuorela <debian@pusling.com>
 Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdemultimedia-trinity-dev, groff-base, bzip2, libogg-dev
-Build-Depends-Indep: doxygen, graphviz, gsfonts-x11, libtqtinterface-doc, tdelibs14-trinity-doc
+Build-Depends-Indep: doxygen, graphviz, gsfonts-x11, tdelibs14-trinity-doc
 Standards-Version: 3.8.4
 
 Package: tdegames-trinity
@@ -89,7 +89,7 @@
 Section: doc
 Replaces: libkdegames-kde3-doc (<< 4:14.0.0~), libkdegames-trinity-doc (<< 4:14.0.0~)
 Breaks: libkdegames-kde3-doc (<< 4:14.0.0~), libkdegames-trinity-doc (<< 4:14.0.0~)
-Recommends: tdelibs14-trinity-doc, libtqtinterface-doc
+Recommends: tdelibs14-trinity-doc
 Suggests: konqueror-trinity | www-browser, libtdegames-trinity-dev
 Description: API documentation for the Trinity games library
  This package contains the developers' documentation for libtdegames.
@@ -228,3 +228,4 @@
 Breaks: kbounce-kde3 (<< 4:14.0.0~), kbounce-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: Jezzball clone for the Trinity Desktop Environment
+ This is a clone of the popular Jezzball game originally created by

## tdegames-trinity 14.2.0~pre171

=== debian/changelog ===
tdegames-trinity (4:14.2.0~pre171-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 9de5b2c3816cb53cafed3c22ef66ab5063692284
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:12:39 +0100

## tdegames-trinity 14.2.0~pre174

=== debian/changelog ===
tdegames-trinity (4:14.2.0~pre174-0ubuntu26.04.0+10~a) resolute; urgency=low

  * Automated git build for 66d79f336d99facc0bf744cee7edc25ded569347
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 28 Dec 2025 02:43:48 +0100

## tdegames-trinity 14.2.0~pre175

=== debian/changelog ===
tdegames-trinity (4:14.2.0~pre175-0ubuntu26.04.0+10~a) resolute; urgency=low

  * Automated git build for 96b112c294a5ccc1e7820f058b2efa2086387278
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:12:58 +0100

## tdegames-trinity 14.2.0~pre176

=== debian/changelog ===
tdegames-trinity (4:14.2.0~pre176-0ubuntu26.04.0+10~a) resolute; urgency=low

  * Automated git build for c222a5493180804875cb35fde55627e5908f0c15
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:13:36 +0100
